org.apache.commons.collections4.map

## Class AbstractLinkedMap.EntrySetIterator<K,V>

- java.lang.Object
- - org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator<K,V>
  - - org.apache.commons.collections4.map.AbstractLinkedMap.EntrySetIterator<K,V>

- All Implemented Interfaces:
    Iterator<Map.Entry<K,V>>, OrderedIterator<Map.Entry<K,V>>, ResettableIterator<Map.Entry<K,V>>
  Enclosing class:
    AbstractLinkedMap<K,V>

      protected static class AbstractLinkedMap.EntrySetIterator<K,V>
      extends AbstractLinkedMap.LinkIterator<K,V>
      implements OrderedIterator<Map.Entry<K,V>>, ResettableIterator<Map.Entry<K,V>>

  EntrySet iterator.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator

      `expectedModCount, last, next, parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EntrySetIterator(AbstractLinkedMap<K,V> parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map.Entry<K,V>` | `next()`
    `Map.Entry<K,V>` | `previous()` Gets the previous element from the container.

    - ### Methods inherited from class org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator

      `currentEntry, hasNext, hasPrevious, nextEntry, previousEntry, remove, reset, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.collections4.OrderedIterator

      `hasPrevious`

    - ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

      `reset`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, remove`

- - ### Constructor Detail

    - #### EntrySetIterator

          protected EntrySetIterator(AbstractLinkedMap<K,V> parent)

  - ### Method Detail

    - #### next

          public Map.Entry<K,V> next()

      Specified by:
        `next` in interface `Iterator<Map.Entry<K,V>>`

    - #### previous

          public Map.Entry<K,V> previous()

      Description copied from interface: `OrderedIterator`
      Gets the previous element from the container.
      Specified by:
        `previous` in interface `OrderedIterator<Map.Entry<K,V>>`
      Returns:
        the previous element in the iteration

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.